Subject: Re: bug#46299: 28.0.50; Value of tab-bar-show not respected in new frames.

From: martin rudalics <[email-masked]>
Date: Tue, 9 Feb 2021 09:00:44 +0100

> +  "Update frame parameter tab-bar-line.
 > +When the optional frame parameter is omitted all frames as well
 > +as the default for new frames are updated. Otherwise only the
 > +given frame is modified."

This is confusing wrt our parameter/argument terminology.  Please just
say "FRAME" wherever it stands for the function's argument and use
"parameter of FRAME" when you talk about the frame parameter.  Also
please clarify: Does the value of the 'tab-bar-lines' parameter now
stand for the number of (matrix) rows occupied by the tab bar (for
example, 2 if the tab bar wraps once) or the number of frame lines
calculated by dividing the pixel size of the tab bar by the frame's
default line height?

And finally: Why can't we wrap tab bars at tab boundaries so one tab
never spans two lines unless it is too long for the frame (in which case
it should be just truncated IMO).

martin